name: WebsiteFormStore
properties:
  fieldSets:
    type: List
    nest: WebsiteFormFieldSet
    description: >
      A list of fields to store for the website or in the global form cache.
  did:
    type: String
    description: The DID of the user to get credentials for.
  token:
    type: String
    description: The token received when the browser plug-in was registered.
  category:
    type: String
    description: >-
      The category of sensitive data to store. For example, can be any of
      ['address', 'payment', 'notes', 'credential'].
  url:
    type: String
    description: URL to store this form data for.
  bulk:
    type: Boolean
    description: >-
      When true, don't use a global database lock when updating records because the
      update is guaranteed tobe exclusive for the keys.